const SearchResultsContent = imports.ui.main.overview._viewSelector._searchResults._content;
const Me                   = imports.misc.extensionUtils.getCurrentExtension();

const Prefs = Me.imports.prefs;

let undos = [];

function enable() {
    function clear() {
        SearchResultsContent.remove_style_class_name('no-spacing');
    }
    function reset() {
        disable();
        enable();
    }

    if (Prefs.getCompactSearchResults()) {
        SearchResultsContent.add_style_class_name('no-spacing');
        undos.push(
            clear
        );
    }
    undos.push(
        Prefs.onSearchResultsStyleChange(reset)
    );
}

function disable() {
    while(undos.length > 0) {
        undos.pop()();
    }
}
